Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.client
Interface ProviderCIMOMHandle

public interface ProviderCIMOMHandle
extends CIMOMHandle

Interface for Provider specific callbacks to the CIMOM.

Since:
  WBEM 1.0

Method Summary
`java.lang.String` | `decryptData(java.lang.String encryptedData)` Decrypts the specified string value using the authentication session key, if the value is encrypted.
`void` | `deliverEvent(java.lang.String namespace, CIMInstance indication)` Method used by event providers to deliver indications into the CIM object manager.
`int` | `getCurrentAuditId()` Returns a usually unique identifier for the session to be used in auditing records to identify the remote client connection.
`java.lang.String` | `getCurrentClientHost()` Returns the remote client host name for the current session.
`java.lang.String` | `getCurrentRole()` Returns the current role assumed by the current authenticated user.
`java.lang.String` | `getCurrentUser()` Returns the current user on whose behalf the provider has been invoked.
`InstanceProvider` | `getInternalProvider()` Returns handle to an internal instance provider which can be used to store static instance information for the provider.

Methods inherited from interface com.sun.wbem.client.CIMOMHandle
`addCIMListener, associatorNames, associators, close, createClass, createInstance, createNameSpace, createQualifierType, deleteClass, deleteInstance, deleteNameSpace, deleteQualifierType, encryptData, enumClass, enumClass, enumInstances, enumInstances, enumNameSpace, enumQualifierTypes, execQuery, getClass, getInstance, getProperty, getQualifierType, invokeMethod, referenceNames, references, removeCIMListener, setClass, setInstance, setProperty, setQualifierType`

Method Detail

### getInternalProvider

    public InstanceProvider getInternalProvider()

  Returns handle to an internal instance provider which can be used to store static instance information for the provider.

### getCurrentUser

    public java.lang.String getCurrentUser()

  Returns the current user on whose behalf the provider has been invoked.

### getCurrentRole

    public java.lang.String getCurrentRole()

  Returns the current role assumed by the current authenticated user. May be null if no role was assumed or no user authenticated.

### getCurrentClientHost

    public java.lang.String getCurrentClientHost()

  Returns the remote client host name for the current session.

### getCurrentAuditId

    public int getCurrentAuditId()

  Returns a usually unique identifier for the session to be used in auditing records to identify the remote client connection.

### decryptData

    public java.lang.String decryptData(java.lang.String encryptedData)

  Decrypts the specified string value using the authentication session key, if the value is encrypted. An encrypted string value is indicated by a series of hexadecimal characters enclosed in brackets <>. If the value is not encrypted, or no authentication exchange encryption key is available, a null value is returned. The size of the encrypted data is restricted to 32 hexadecimal characters, representing at most 16 uncrypted characters. Only unlocalized ASCII characters are allowed.
  Parameters:
    `encryptedData` - A bracketed string of hexadecimal characters representing an encrypted ASCII string value.
  Returns:
    The decrypted string value

### deliverEvent

    public void deliverEvent(java.lang.String namespace,
                             CIMInstance indication)

  Method used by event providers to deliver indications into the CIM object manager. The CIM object manager event service subsequently takes care of delivering the event to subscribers.
  Parameters:
    `namespace` - The namespace to which this event pertains.
    `indication` - The actual indication

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD